## GESVideoTestSource GESVideoTestSource — produce solid colors and patterns |

## Functions

void | ges_video_test_source_set_pattern ()
GESVideoTestPattern | ges_video_test_source_get_pattern ()

## Types and Values

| GESVideoTestSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ╰── GESVideoTestSource

## Implemented Interfaces

GESVideoTestSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

### ges_video_test_source_set_pattern ()

    void
    ges_video_test_source_set_pattern (GESVideoTestSource *self,
                                       GESVideoTestPattern pattern);

Sets the source to use the given `pattern` .

#### Parameters

self | a GESVideoTestSource |
pattern | a GESVideoTestPattern |

### ges_video_test_source_get_pattern ()

    GESVideoTestPattern
    ges_video_test_source_get_pattern (GESVideoTestSource *source);

Get the video pattern used by the `source` .

#### Parameters

source | a GESVideoTestPattern |

#### Returns

The video pattern used by the `source` .

## Types and Values

### GESVideoTestSource

    typedef struct _GESVideoTestSource GESVideoTestSource;